## org.eclipse.datatools.sqltools.result.ui.view
Class ParameterViewerProvider

    java.lang.Object
      org.eclipse.datatools.sqltools.result.ui.view.ParameterViewerProvider

Direct Known Subclasses:
  ExternalParameterViewerProvider

    public class ParameterViewerProvider

extends java.lang.Object

Parameter viewer provider configures the parameter table viewer

Author:
  administrator

Constructor Summary
`ParameterViewerProvider()`

Method Summary
`void` `configureViewer()` Configures the viewer.
`void` `configureViewer(org.eclipse.swt.widgets.Composite parent, int style)` Configures the parameter table viewer
`void` `fillDataIntoParamsTable(java.util.List params)` fills the data into parameter table view
`org.eclipse.swt.widgets.Table` `getTable()` gets the table viewer for parameter

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ParameterViewerProvider

    public ParameterViewerProvider()

Method Detail

### configureViewer

    public void configureViewer()

  Configures the viewer. The default implementation creates a ParameterTableViewer. Subclasses should extend add additional menus, listeners and label and content providers

### configureViewer

    public void configureViewer(org.eclipse.swt.widgets.Composite parent,
                                int style)

  Configures the parameter table viewer

  Parameters:
    `parent` - the parent composite
    `style` - table style

### fillDataIntoParamsTable

    public void fillDataIntoParamsTable(java.util.List params)

  fills the data into parameter table view

  Parameters:
    `params` - paramter table items

### getTable

    public org.eclipse.swt.widgets.Table getTable()

  gets the table viewer for parameter

  Returns: